Skip to main content
PATCH
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

apiKeyId
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 255
creditLimit
string | null
Pattern: ^-?\d+(\.\d{1,6})?$
Example:

"125.500000"

resetPeriod
enum<string>
Available options:
NO_LIMIT,
DAILY,
WEEKLY,
MONTHLY

Response

Success

id
string<uuid>
required
name
string
required
prefix
string
required
status
enum<string>
required
Available options:
ACTIVE,
DISABLED,
EXPIRED
resetPeriod
enum<string>
required
Available options:
NO_LIMIT,
DAILY,
WEEKLY,
MONTHLY
currentUsage
string
required
Pattern: ^-?\d+(\.\d{1,6})?$
Example:

"125.500000"

createdAt
string<date-time>
required
creditLimit
string | null
Pattern: ^-?\d+(\.\d{1,6})?$
Example:

"125.500000"

expiresAt
string<date-time> | null
lastUsedAt
string<date-time> | null